package com.example.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.bean.User;
import java.util.List;

@Mapper
public interface UserMapper {
    User getUserByUserId(@Param("userid")String userid);
    int reg(User user);
    int updateUserEnabled(@Param("enabled")Boolean enabled,@Param("userid") String userid);
    int updateUser(User user);
    int deleteUserByUserid(String userid);
    List<User> selectNoReport();//查找没有上报的病人
    List<User> selectTodayError();//查找今天报告异常的病人
    List<User> selectAll();//查找所有的病人

    int updateUserPhonenumber(@Param("phonenumber") String phonenumber,@Param("userid") String userid);
    int updateUserAddress(@Param("address") String address,@Param("userid") String userid);
    int deleteDoctor(@Param("userid")String userid);
    int selectDoctor(@Param("userid")String userid,@Param("doctorid")String doctorid);
}
